version: '2'
services:
  influxdb:
    image: docker.io/bitnami/influxdb:2
    ports:
      - "8086:8086"
      - "8088:8088"
    environment:
      - INFLUXDB_ADMIN_USER_PASSWORD=password123
      - INFLUXDB_ADMIN_USER_TOKEN=admintoken
      - INFLUXDB_USER_BUCKET=tribe_bucket
      - INFLUXDB_HTTP_AUTH_ENABLED=false
      - INFLUXDB_HTTP_READINESS_TIMEOUT=30
    volumes:
      - ./influxdb_data:/bitnami/influxdb
volumes:
  influxdb_data:
    driver: local
